%define		pkgname image-installer

Name:		image-installer
Summary:	Image Installer
Version:	2.0.11504
Release:	1.1
Url:		http://www.linux-administrator.com
License:	GPLv2
Group:		System Environment
Source0:	%{pkgname}-%{version}.tar
%if 0%{?suse_version} >= 1210
Source1:	image-installer.service
%else
Source1:	image-installer.init
%endif

BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%if 0%{?rhel_version} || 0%{?centos_version} || 0%{?sl_version} || 0%{?redhat_version}
Requires:	dialog coreutils pv
BuildRequires:	dialog coreutils pv
%endif

%if 0%{?suse_version}
Requires:	dialog coreutils pv
BuildRequires:	dialog coreutils pv
%endif

BuildArch:	noarch

%description
Image-installer provides a dialog system to write images to disk using 'dd'.

%prep
%setup -n %{pkgname}-%{version}

%build

%install
%__install -D -m755 v2/image-installer.conf %{buildroot}%{_sysconfdir}/image-installer.conf
%__install -D -m755 v2/image-installer.sh %{buildroot}%{_sbindir}/image-installer
%if 0%{?suse_version} >= 1210
%__install -D -m755 %{S:1} %{buildroot}%{_sysconfdir}/systemd/system/image-installer.service
%else
%__install -D -m755 %{S:1} %{buildroot}%{_sysconfdir}/init.d/image-installer
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/image-installer.conf
%{_sbindir}/image-installer
%if 0%{?suse_version} >= 1210
%dir %{_sysconfdir}/systemd
%dir %{_sysconfdir}/systemd/system 
%{_sysconfdir}/systemd/system/image-installer.service
%else
%{_sysconfdir}/init.d/image-installer
%endif

%changelog
* Wed Oct 31 2012 cs@linux-administrator.com
- initial package
